PERROR(3)

NAME
perror - write error messages to standard error

LIBRARY
libc

SYNOPSIS
#include <stdio.h>
void
perror(const char *string);

DESCRIPTION
The perror() function looks up the language-dependent error message string affiliated with an error number and writes it, followed by a new-line, to the standard error stream.

If the argument string is non-NULL it is prepended to the message string and separated from it by a colon and a space (‘: ’). If string is NULL only the error message string is printed.

The contents of the error message string is the same as those returned by strerror() with argument errno.

SEE ALSO
intro(2), psignal(3), setlocale(3), strerror(3)

STANDARDS
The perror() function conforms to ansiC.